> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Column Mapping

> Create a new column mapping group with its associated mappings.



## OpenAPI

````yaml post /user/patient/uploads/column-mappings
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/uploads/column-mappings:
    post:
      tags:
        - provider
        - user
        - upload
        - column-mappings
      summary: Create Column Mapping
      description: Create a new column mapping group with its associated mappings.
      operationId: create_column_mapping_user_patient_uploads_column_mappings_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ColumnMappingGroupCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnMappingGroupResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ColumnMappingGroupCreate:
      properties:
        name:
          type: string
          title: Name
        isDefault:
          type: boolean
          title: Isdefault
          default: false
        mappings:
          items:
            $ref: '#/components/schemas/ColumnMappingItemCreate'
          type: array
          title: Mappings
      type: object
      required:
        - name
        - mappings
      title: ColumnMappingGroupCreate
    ColumnMappingGroupResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        isDefault:
          type: boolean
          title: Isdefault
        mappings:
          items:
            $ref: '#/components/schemas/ColumnMappingItemResponse'
          type: array
          title: Mappings
      type: object
      required:
        - id
        - name
        - isDefault
        - mappings
      title: ColumnMappingGroupResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnMappingItemCreate:
      properties:
        csvHeader:
          type: string
          title: Csvheader
        mappedField:
          type: string
          title: Mappedfield
      type: object
      required:
        - csvHeader
        - mappedField
      title: ColumnMappingItemCreate
    ColumnMappingItemResponse:
      properties:
        id:
          type: string
          title: Id
        groupId:
          type: string
          title: Groupid
        csvHeader:
          type: string
          title: Csvheader
        mappedField:
          type: string
          title: Mappedfield
      type: object
      required:
        - id
        - groupId
        - csvHeader
        - mappedField
      title: ColumnMappingItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````